package com.gic.haoban.manage.web.vo.offline;

import com.gic.marketing.pro.api.dto.offline.RewardDTO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @description: 预约详情页
 * @author: 巴弗
 * @createDate: 2022/11/22 15:13
 */
public class OfflinePreInfoVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动预约ID
     */
    private String offlinePreId;

    /**
     * 活动名称
     */
    private String name;

    /**
     * 可预约地址 1:门店 2:自定义地址
     */
    private Integer preAddressFlag;

    /**
     * 当pre_address_flag 为门店时这里存store_widget_id;为自定义地址时这里存具体地址
     */
    private String preAddress;

    /**
     * 状态 0:进行中；1: 已完成；2:已过期；3:已取消
     */
    private Integer statusFlag;

    /**
     * 预约时间
     */
    private Date preTime;

    /**
     * 门店ID
     */
    private String storeId;

    /**
     * 门店名称
     */
    private String storeName;


    /**
     * 预兑换数量
     */
    private Integer preExchangeNum;

    /**
     * 预约上传图片，英文逗号隔开
     */
    private String preImgUrl;

    /**
     * 预约核销方式 1:导购核销 2:扫码核销
     */
    private Integer writeOffType;

    /**
     * 核销时间
     */
    private Date writeOffTime;

    /**
     * 引导添加企微开关 0: 关闭 1:开启
     */
    private Integer addEnterpriseWechatFlag;

    /**
     * 导购企微二维码
     */
    private String clerkQrCodeUrl;

    /**
     * 核销链接
     */
    private String writeOffUrl;

    /**
     * 取消时间
     */
    private Date cancelTime;

    /**
     * 修改信息次数
     */
    private Integer editNum;

    /**
     * 证书json
     */
    private String certificateContent;

    /**
     * 奖励信息
     */
    private List<RewardDTO> rewardList;

    /**
     * 会员ID
     */
    private String memberId;

    /**
     * 预约类型1: 服务预约 2:物品回收
     */
    private Integer preType;

    /**
     * 等级名称
     */
    private String gradeName;

    /**
     * 会员名称
     */
    private String memberName;

    /**
     * 会员头像
     */
    private String thirdImg;

    /**
     * 核销导购
     */
    private String clerkId;

    /**
     * 核销导购
     */
    private String clerkName;

    /**
     * 核销上传图片，英文逗号隔开
     */
    private String writeOffImgUrl;

    /**
     * 核销兑换数量
     */
    private Integer writeOffExchangeNum;

    // '支持提前签到1是0否' ,
    private Integer aheadSignFlag = 1 ;
    private String imgIntegral ;
    private String imgCoupon ;

    // 是否可以签到
    private int canSign ;
    // 不能签到原因
    private String reason ;

    public Integer getAheadSignFlag() {
        return aheadSignFlag;
    }

    public void setAheadSignFlag(Integer aheadSignFlag) {
        this.aheadSignFlag = aheadSignFlag;
    }

    public String getImgIntegral() {
        return imgIntegral;
    }

    public void setImgIntegral(String imgIntegral) {
        this.imgIntegral = imgIntegral;
    }

    public String getImgCoupon() {
        return imgCoupon;
    }

    public void setImgCoupon(String imgCoupon) {
        this.imgCoupon = imgCoupon;
    }

    public int getCanSign() {
        return canSign;
    }

    public void setCanSign(int canSign) {
        this.canSign = canSign;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Integer getWriteOffExchangeNum() {
        return writeOffExchangeNum;
    }

    public void setWriteOffExchangeNum(Integer writeOffExchangeNum) {
        this.writeOffExchangeNum = writeOffExchangeNum;
    }

    public String getOfflinePreId() {
        return offlinePreId;
    }

    public void setOfflinePreId(String offlinePreId) {
        this.offlinePreId = offlinePreId;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getPreTime() {
        return preTime;
    }

    public void setPreTime(Date preTime) {
        this.preTime = preTime;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getPreExchangeNum() {
        return preExchangeNum;
    }

    public void setPreExchangeNum(Integer preExchangeNum) {
        this.preExchangeNum = preExchangeNum;
    }

    public String getPreImgUrl() {
        return preImgUrl;
    }

    public void setPreImgUrl(String preImgUrl) {
        this.preImgUrl = preImgUrl;
    }

    public Integer getWriteOffType() {
        return writeOffType;
    }

    public void setWriteOffType(Integer writeOffType) {
        this.writeOffType = writeOffType;
    }

    public String getClerkQrCodeUrl() {
        return clerkQrCodeUrl;
    }

    public void setClerkQrCodeUrl(String clerkQrCodeUrl) {
        this.clerkQrCodeUrl = clerkQrCodeUrl;
    }

    public String getWriteOffUrl() {
        return writeOffUrl;
    }

    public void setWriteOffUrl(String writeOffUrl) {
        this.writeOffUrl = writeOffUrl;
    }

    public Integer getAddEnterpriseWechatFlag() {
        return addEnterpriseWechatFlag;
    }

    public void setAddEnterpriseWechatFlag(Integer addEnterpriseWechatFlag) {
        this.addEnterpriseWechatFlag = addEnterpriseWechatFlag;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public Integer getEditNum() {
        return editNum;
    }

    public void setEditNum(Integer editNum) {
        this.editNum = editNum;
    }

    public String getCertificateContent() {
        return certificateContent;
    }

    public void setCertificateContent(String certificateContent) {
        this.certificateContent = certificateContent;
    }

    public List<RewardDTO> getRewardList() {
        return rewardList;
    }

    public void setRewardList(List<RewardDTO> rewardList) {
        this.rewardList = rewardList;
    }

    public Date getWriteOffTime() {
        return writeOffTime;
    }

    public void setWriteOffTime(Date writeOffTime) {
        this.writeOffTime = writeOffTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getPreAddressFlag() {
        return preAddressFlag;
    }

    public void setPreAddressFlag(Integer preAddressFlag) {
        this.preAddressFlag = preAddressFlag;
    }

    public String getPreAddress() {
        return preAddress;
    }

    public void setPreAddress(String preAddress) {
        this.preAddress = preAddress;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Integer getPreType() {
        return preType;
    }

    public void setPreType(Integer preType) {
        this.preType = preType;
    }

    public String getGradeName() {
        return gradeName;
    }

    public void setGradeName(String gradeName) {
        this.gradeName = gradeName;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getThirdImg() {
        return thirdImg;
    }

    public void setThirdImg(String thirdImg) {
        this.thirdImg = thirdImg;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getWriteOffImgUrl() {
        return writeOffImgUrl;
    }

    public void setWriteOffImgUrl(String writeOffImgUrl) {
        this.writeOffImgUrl = writeOffImgUrl;
    }
}
